.match-list-block {
    font-family: 'Barlow', sans-serif;
    margin-bottom: 25px;

    .match-calendar {
        border-radius: 5px;
        overflow: hidden;
        justify-content: space-between;
        display: flex;
        opacity: 0;
        margin-bottom: 20px;
        transition: all 0.5s ease-in-out;

        .calendar-date {
            width: 100%;
            display: flex;
            overflow-x: scroll;
        }

        .item-wrap {
            width: 35px;
        }

        .calendar-item {
            cursor: pointer;
        }

        .item-date {
            position: relative;
            text-align: center;
            background-color: #fff;
            margin: 1px;
            width: 100%;
            padding-bottom: 12px;

            &.active {
                background-color: #16B246 !important;
                
                p {
                    color: #fff !important;
                }

                &::after {
                    display: none;
                }
            }

            &.past {
                background-color: #e2e2e2;

                &::after {
                    content: '';
                    position: absolute;
                    background-color: #bbb;
                    border-radius: 99px;
                    height: 3px;
                    width: 20px;
                    left: 0;
                    right: 0;
                    bottom: 5px;
                    margin: 0 auto;
                    line-height: 1;
                }
            }

            &.upcoming {
                background-color: #E6F5EB;

                &::after {
                    content: '';
                    position: absolute;
                    background-color: #16B246;
                    border-radius: 99px;
                    height: 3px;
                    width: 20px;
                    left: 0;
                    right: 0;
                    bottom: 5px;
                    margin: 0 auto;
                }
            }

            p {
                margin-bottom: 0;
                font-size: 12px;
                line-height: 1.5;
            }

            .day {
                color: #666;
            }

            .date {
                font-weight: 700;
                color: #000;
            }
        }

        .item-arrow {
            background-color: #000;
            width: 40px;
            position: relative;

            &::after {
                content: '';
                position: absolute;
                background-repeat: no-repeat;
                background-size: contain;
                background-position: center;
                width: 6px;
                height: 15px;
                top: 50%;
                left: 50%;
                transform: translate(-50%, -50%);
            }

            &:first-child {
                &::after {
                    background-image: url('../../../images/arrow_left.png');
                    
                }
            }

            &:last-child {
                &::after {
                    background-image: url('../../../images/arrow_right.png');
                }
            }

            &.disabled {
                pointer-events: none;
                cursor: default;
                opacity: 0.5;
            }
        }
    }

    .match-list {
        opacity: 0;
        transition: all 0.5s ease-in-out;

        .match-item {
            &.past {
                .match-estimate-detail {
                    display: none;
                }

                .match-time, .katso::before {
                    display: none;
                }
            }

            &.live {
                .match-estimate-detail {
                    display: none;
                }

                .match-place {
                    display: flex;
                }
            }
        }
    }

    .match-estimates {
        .match-item {
            position: relative;
            padding: 30px 17px 30px 17px;
        }

        .match-detail {
            border: none;
            padding: 0;
            margin: 0;
        }
    }

    .match-odds {
        .match-odd-detail {
            display: flex;
            justify-content: center;
            gap: 15px;
            align-items: center;
            padding-left: 10px;

            .item {
                span {
                    font-size: 12px;
                    font-weight: 500;
                    padding: 3px 6px;
                    color: #fff;
                    border-radius: 5px;
                }

                &.win {
                    span {
                        background-color: #16B246;
                    }
                }

                &.draw {
                    span {
                        background-color: #666666;
                    }
                }

                &.lose {
                    span {
                        background-color: #E10F07;
                    }
                }
            }
        }

        .look {
            padding-right: 0;

            p {
                font-size: 10px;
                font-weight: 600;
                color: #fff;
                border-radius: 5px;
                background-color: #113559;
                padding: 4px 21px;

                &::after {
                    display: none;
                }
            }
        }
    }

    .match-item {
        border-radius: 5px;
        background-color: #fff;
        padding: 30px 17px 9px 17px;
        border-left-color: #16B246;
        border-left-width: 3px;
        margin-bottom: 26px;
        position: relative;
        display: block;

        &::before {
            content: '';
            position: absolute;
            right: 0;
            top: -1px;
            background-image: url('../../../images/arvio.png');
            background-repeat: no-repeat;
            background-size: cover;
            width: 121px;
            height: 15px;
        }

        &.live {
            border-left-color: #E10F07;

            .time {
                color: #E10F07;
            }

            &::before {
                display: none;
            }

            &::after {
                content: 'LIVE';
                position: absolute;
                background-color: #E10F07;
                border-radius: 0 5px;
                color: #fff;
                padding: 6px 25px;
                font-size: 10px;
                font-weight: 800;
                left: -3px;
                bottom: 0;
                z-index: 3;
                line-height: 1.2;
            }

            &::before {
                display: none;
            }

            .look {
                padding-left: 127px;

                .match-time {
                    display: none;
                }
            }
        }

        &.past {
            border-left-color: #666;

            .match-place {
                display: flex;
            }
        }

        .match-estimate-detail {
            display: flex;
            justify-content: center;
            align-items: center;
            flex-direction: column;
            text-align: center;
            max-width: 100px;
            width: 100%;
            padding-left: 10px;

            .item {
                width: 100%;
                display: flex;
                align-items: center;
                gap: 4px;

                span {
                    font-size: 12px;
                    font-weight: 800;
                    width: 35px;
                    text-align: left;
                }

                .progress {
                    width: calc(100% - 35px - 4px);
                    height: 10px;

                    span {
                        height: 10px;
                        display: block;
                        border-radius: 0 10px 10px 0;
                    }
                }

                &.win {
                    color: #16B246;
                    .progress span {
                        background-color: #16B246;
                    }
                }

                &.draw {
                    color: #BBBBBB;
                }

                &.lose {
                    color: #E10F07;

                    .progress span {
                        background-color: #E10F07;
                    }
                }
            }
        }
    }

    .match-detail {
        display: flex;
        justify-content: space-between;
        align-items: center;
        padding-bottom: 17px;
    }

    .team-logo {
        display: flex;
        justify-content: space-between;
        align-items: center;
        flex-direction: column;
        gap: 4px;
        max-width: 25px;
        width: 100%;

        span {
            width: 25px;
            height: 25px;
            background-repeat: no-repeat;
            background-size: contain;
        }
    }

    .match-team {
        width: 100%;
        border-right: 1px solid #e2e2e2;

        &.has-score {
            span {
                color: #000;
            }
        }

        .team {
            display: flex;
            justify-content: space-between;
            align-items: center;
            margin-left: 12px;
            padding-right: 12px;

            &:first-child {
                border-bottom: 1px solid #e2e2e2;
            }

            &.is-winner {
                span {
                    font-weight: 900;
                }
            }
        }

        .name {
            font-size: 12px;
            color: #121212;
            font-weight: 500;
        }

        .score {
            font-size: 16px;
            color: #bbb;
        }
    }

    .match-place {
        display: none;
        justify-content: center;
        align-items: center;
        flex-direction: column;
        text-align: center;
        max-width: 100px;
        width: 100%;
    }

    .status {
        font-size: 10px;
        color: #818181;
        font-weight: 500;
    }

    .time {
        font-size: 12px;
        color: #16B246;
        font-weight: 800;
        font-family: 'Inter';
    }

    .look {
        display: flex;
        align-items: center;
        line-height: 15px;
        gap: 20px;

        .match-time {

        }

        a.katso {
            position: relative;
            font-size: 10px;
            color: #818181;
            text-transform: uppercase;
            margin-bottom: 0;

            &::before {
                content: '';
                position: absolute;
                left: -7px;
                width: 1px;
                height: 20px;
                background-color: #e2e2e2;
                top: 50%;
                transform: translate(0, -50%);
            }

            &::after {
                content: '';
                position: absolute;
                background-repeat: no-repeat;
                background-size: contain;
                width: 15px;
                height: 15px;
                margin-left: 6px;
            }

            &.liiga {
                &::after {
                    background-image: url('../../../images/mtv.png');
                }
            }

            &.nhl {
                &::after {
                    background-image: url('../../../images/nhl.png');
                    background-position: center;
                    width: 54px;
                }
            }
        }
    }

    .permalink {
        position: absolute;
        right: 0;
        bottom: 0;
        a {
            display: block;
            border-radius: 6px 0;
            font-size: 10px;
            color: #fff;
            background-color: #000;
            padding: 6px 20px;
            line-height: 1.2;
            font-weight: 600;
        }
    }

    .ml-tabs-subject {
        opacity: 0;
    }

    .atleetti-team-table {
        &.world-championship-table {
            th {
                &:nth-child(2) {
                    text-align: center !important;
                    padding-left: 0;
                }
            }

            th, td {
                display: table-cell;
                width: 100%;

                &:first-child {
                    width: 100px !important;
                }

                &:nth-child(2) {
                    text-align: right;
                    border-right: none;
                    
                    &::after {
                        display: none;
                    }
                }

                &:nth-child(3) {
                    text-align: left;
                    font-size: 14px;
                    font-weight: 500;
                }
            }

            
        }
    }
}

@media screen and (max-width: 430px){
    .match-list-block {
        .match-calendar {
            .item-wrap {
                width: 44px;
            }
        }

        .look {
            a.katso {
                &.nhl {
                    height: 15px;

                    &::after {
                        margin: 0;
                    }

                    span {
                        display: none;
                    }
                }
            }
        }
    }
}

@media screen and (max-width: 375px) {
}